<%@ page import="com.cidat.proclets.*,itourbaskBeans.*,java.util.*,q53_util.*" session="true"  %>
<% com.cidat.proclets.ProcletServiceData sd=(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); 
List opciones=null;
if(request.getAttribute("opciones")!=null){
	opciones= new ArrayList((List)request.getAttribute("opciones"));
}
String bgcolor="CFE5F3";
String volver =(String)request.getAttribute("GEN_VOLVER");
String info=(String)request.getAttribute("info");
String pregunta=(String)request.getAttribute("pregunta");
%>
<!DOCTYPE html> <!-- HTML5 -->
<html>
<head>
<!-- Tags para diseņo responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Fin Tags para diseņo responsive -->
<title> itourbask </title>
<link rel="stylesheet" href="/appcont/itourbask/styles/estilos.css" type="text/css">
<script src="/appcont/itourbask/scripts/param.js"></script>
<script src="/appcont/itourbask/scripts/general.js"></script>

</head>
<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" >
<form name="codigos" method="post" action="javascript:volver();" class="frmclass" >
<table cellpadding='0' cellspacing='0' border='1' width='100%' align="center">
<input type="hidden" id="iden"  value="" name="iden" />
<input type="hidden" id="tipo"  value="" name="tipo" />
<script language="JavaScript">
var valores=new Array();
function volver(){
	var iden=document.codigos.iden.value;
	var tipo=document.codigos.tipo.value;
	obtenerValores();
	var retorno="";
  if(tipo!="" && iden!=""){
		for(j=0;j<valores.length;j++){
				if(j==0){
					retorno+=valores[j];
				}else{
					retorno+=","+valores[j];
				}
		}
		if(retorno!=""){
			if(eval("opener.document.frm.opt_check_"+tipo+""+iden+".value==''")) {
				eval("opener.document.frm.opt_check_"+tipo+""+iden+".value+='"+retorno+"'");
			}else{
				eval("opener.document.frm.opt_check_"+tipo+""+iden+".value+=',"+retorno+"'");
			}
		}	
	}
	window.close();
}	
</script>
<%if(opciones!=null && opciones.size()>0){%>

<%

int lon=opciones.size();
for(int i=0;i<lon;i++){
q53OpcionBean op=(q53OpcionBean)opciones.get(i);
if(bgcolor.equals("")){
bgcolor="CFE5F3";
%>
<tr>
<%if (info.length()==0){%>
	<%if(i==0 && pregunta.equals("7")){%>
		<td class="textonegrobold">
			<input type="checkbox" id="cod<%=i%>" name="cod<%=i%>" value="<%=op.getCodOpciones()%>" checked="checked" />
			<label for="cod<%=i%>"></label>
		</td>
	<%}else{%>
		<td class="textonegrobold">
			<input type="checkbox" id="cod<%=i%>" name="cod<%=i%>" value="<%=op.getCodOpciones()%>"  />
			<label for="cod<%=i%>"></label>
		</td>
	<%}%>
<%}%>
<td class="textonegrobold"><%=op.getCodOpciones()%></td>
<td class="textonegrobold"><%=op.getDescipcionOpcion()%></td>
</tr>
<%}else{%>
<tr bgcolor="<%=bgcolor%>">
<%if (info.length()==0){%>
	<%if(i==0 && pregunta.equals("7")){%>
		<td class="textonegrobold">
			<input type="checkbox" id="cod<%=i%>" name="cod<%=i%>" value="<%=op.getCodOpciones()%>" checked="checked"/>
			<label for="cod<%=i%>"></label>
		</td>
	<%}else{%>
		<td class="textonegrobold">
			<input type="checkbox" id="cod<%=i%>" name="cod<%=i%>" value="<%=op.getCodOpciones()%>" />
			<label for="cod<%=i%>"></label>
		</td>
	<%}%>
<%}%>
<td class="textonegrobold"><%=op.getCodOpciones()%></td>
<td class="textonegrobold"><%=op.getDescipcionOpcion()%></td>
</tr>
<%
bgcolor="";
}%>
<%}%>
<tr >
<%if(info.length()==0){%>
<td colspan="3" align="center" class="textoazulbold" bgcolor="#0090D3"><a href="javascript:document.codigos.submit();" hidefocus id="btn_volver" class="linkblancobold"><%=volver%></a></td>
<%}else{%>
<td colspan="3" align="center" class="textoazulbold" bgcolor="#0090D3"><a href="javascript:window.close();" hidefocus id="btn_volver" class="linkblancobold"><%=volver%></a></td>
<%}%>
</tr>
</table>
<script language="JavaScript">
	function obtenerValores(){
<%for(int i=0;i<lon;i++){%>
		if(document.codigos.cod<%=i%>.checked){
			valores[valores.length]=document.codigos.cod<%=i%>.value;
		}
<%}%>
	return;
}
</script>
<%}else{%>
	<script>
		alert("opciones vacias")
	</script>
<%}%>
</form>
</body>